Package com.usatiuk.dhfs.persistence

# Interface ChunkDataPOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ChunkDataP`, `ChunkDataP.Builder`

public interface ChunkDataPOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`com.google.protobuf.ByteString`
`getData()`
`bytes data = 2;`
`JObjectKeyP`
`getKey()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`JObjectKeyPOrBuilder`
`getKeyOrBuilder()`
`.dhfs.persistence.JObjectKeyP key = 1;`
`boolean`
`hasKey()`
`.dhfs.persistence.JObjectKeyP key = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasKey

boolean hasKey()
`.dhfs.persistence.JObjectKeyP key = 1;`

Returns:
  Whether the key field is set.

### getKey

JObjectKeyP getKey()
`.dhfs.persistence.JObjectKeyP key = 1;`

Returns:
  The key.

### getKeyOrBuilder

JObjectKeyPOrBuilder getKeyOrBuilder()
`.dhfs.persistence.JObjectKeyP key = 1;`

### getData

com.google.protobuf.ByteString getData()
`bytes data = 2;`

Returns:
  The data.